org.apache.tools.ant.taskdefs

## Interface Get.DownloadProgress

- All Known Implementing Classes:
    Get.NullProgress, Get.VerboseProgress
  Enclosing class:
    Get

      public static interface Get.DownloadProgress

  Interface implemented for reporting progress of downloading.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginDownload()` begin a download
    `void` | `endDownload()` end a download
    `void` | `onTick()` tick handler

- - ### Method Detail

    - #### beginDownload

          void beginDownload()

      begin a download

    - #### onTick

          void onTick()

      tick handler

    - #### endDownload

          void endDownload()

      end a download